API referenceApi keys
Create
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "workspace:read" ] }'{ "data": { "apiKey": { "id": "string", "workspaceId": "string", "name": "string", "prefix": "string", "scopes": [ "workspace:read" ], "boundUserId": "string", "createdByUserId": "string", "lastUsedAt": "string", "expiresAt": "string", "revokedAt": "string", "createdAt": "string", "updatedAt": "string" }, "token": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}